summaryrefslogtreecommitdiffstats
path: root/src/ci/scripts/disable-git-crlf-conversion.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/ci/scripts/disable-git-crlf-conversion.sh')
-rwxr-xr-xsrc/ci/scripts/disable-git-crlf-conversion.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/ci/scripts/disable-git-crlf-conversion.sh b/src/ci/scripts/disable-git-crlf-conversion.sh
new file mode 100755
index 000000000..6de080a9f
--- /dev/null
+++ b/src/ci/scripts/disable-git-crlf-conversion.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+# Disable automatic line ending conversion, which is enabled by default on
+# GitHub's Windows image. Having the conversion enabled caused regressions both
+# in our test suite (it broke miri tests) and in the ecosystem, since we
+# started shipping install scripts with CRLF endings instead of the old LF.
+#
+# Note that we do this a couple times during the build as the PATH and current
+# user/directory change, e.g. when mingw is enabled.
+
+set -euo pipefail
+IFS=$'\n\t'
+
+git config --replace-all --global core.autocrlf false